components:
  schemas:
    Certificate_Certificate:
      $ref: http://redfish.dmtf.org/schemas/v1/Certificate.v1_8_2.yaml#/components/schemas/Certificate_v1_8_2_Certificate
      description: The `Certificate` schema describes a certificate that proves the
        identity of a component, account, or service.
      x-longDescription: This resource shall represent a certificate for a Redfish
        implementation.
    Certificate_CertificateType:
      enum:
      - PEM
      - PEMchain
      - PKCS7
      type: string
      x-enumDescriptions:
        PEM: A Privacy Enhanced Mail (PEM)-encoded single certificate.
        PEMchain: A Privacy Enhanced Mail (PEM)-encoded certificate chain.
        PKCS7: A Privacy Enhanced Mail (PEM)-encoded PKCS7 certificate.
      x-enumLongDescriptions:
        PEM: This value shall indicate the format of the certificate shall contain
          a Privacy Enhanced Mail (PEM)-encoded string, containing RFC5280-defined
          structures, representing a single certificate.
        PEMchain: This value shall indicate the format of the certificate shall contain
          a Privacy Enhanced Mail (PEM)-encoded string, containing RFC5280-defined
          structures, representing a certificate chain.
        PKCS7: The format of the certificate shall contain a Privacy Enhanced Mail
          (PEM)-encoded string, containing RFC5280-defined and RFC2315-defined structures.  The
          service can discard additional certificates or other data in the structure.
      x-enumVersionAdded:
        PEMchain: v1_4_0
    Certificate_KeyUsage:
      description: The usages of a key contained within a certificate.
      enum:
      - DigitalSignature
      - NonRepudiation
      - KeyEncipherment
      - DataEncipherment
      - KeyAgreement
      - KeyCertSign
      - CRLSigning
      - EncipherOnly
      - DecipherOnly
      - ServerAuthentication
      - ClientAuthentication
      - CodeSigning
      - EmailProtection
      - Timestamping
      - OCSPSigning
      type: string
      x-enumDescriptions:
        CRLSigning: Verifies signatures on certificate revocation lists (CRLs).
        ClientAuthentication: TLS WWW client authentication.
        CodeSigning: Signs downloadable executable code.
        DataEncipherment: Directly enciphers raw user data without an intermediate
          symmetric cipher.
        DecipherOnly: Deciphers data while performing a key agreement.
        DigitalSignature: Verifies digital signatures, other than signatures on certificates
          and CRLs.
        EmailProtection: Email protection.
        EncipherOnly: Enciphers data while performing a key agreement.
        KeyAgreement: Key agreement.
        KeyCertSign: Verifies signatures on public key certificates.
        KeyEncipherment: Enciphers private or secret keys.
        NonRepudiation: Verifies digital signatures, other than signatures on certificates
          and CRLs, and provides a non-repudiation service that protects against the
          signing entity falsely denying some action.
        OCSPSigning: Signs OCSP responses.
        ServerAuthentication: TLS WWW server authentication.
        Timestamping: Binds the hash of an object to a time.
      x-longDescription: This type shall describe the usages of a key within a certificate,
        as specified by the 'Key Usage' and 'Extended Key Usage' definitions in RFC5280.
title: '#Certificate.Certificate'
x-copyright: Copyright 2014-2024 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
